This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 188583 - cups pdftops filter doesn't have a config file
cups pdftops filter doesn't have a config file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cups (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2006-04-11 10:38 EDT by Steve Huff
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0225
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 18:50:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
PDF requiring Adobe-Japan1 character collection (10.49 KB, application/pdf)
2006-04-11 10:38 EDT, Steve Huff
no flags Details

  None (edit)
Description Steve Huff 2006-04-11 10:38:31 EDT
Description of problem:

The pdftops filter (/usr/lib/cups/filter/pdftops) wants to see a config file, /etc/cups/pdftops.conf.  This 
config file is not present in a stock installation of CUPS.  As a result, the pdftops filter does not know 
about CID-keyed fonts and character encodings for Chinese, Japanese, and Korean, so when a user 
prints a PDF document that requires support for these languages, the print job fails silently.

Fortunately, the pdftops filter can read the same config file format that is used by the pdftops utility 
that's part of the xpdf package (/usr/bin/pdftops).  The default xpdf config file (/etc/xpdfrc) has 
include directives that provide the needed CJK support; the problem is that the pdftops filter looks for a 
config file at /etc/cups/pdftops.conf instead of at /etc/xpdfrc.

I would recommend either of two possible courses of action:

1. Copy /etc/xpdfrc to /etc/cups/pdftops.conf, add /etc/cups/pdftops.conf to the cups RPM.

2. Make /etc/cups/pdftops.conf a symlink to /etc/xpdfrc, add xpdf as a dependency to the cups RPM.

Version-Release number of selected component (if applicable):

cups-1.1.22-0.rc1.9.10
xpdf-3.00-11.10

How reproducible:

The attached PDF file contains a whitespace character that is encoded for the Adobe-Japan1 character 
collection (this is a consequence of a bug in Microsoft Office for Mac OS X, and the chances of it ever 
being fixed are probably nil).  Print this document to a CUPS print queue on a RHEL4 U2 server and it 
will fail silently, though it will log an error.  (This problem persists in RHEL4 U3, however.)

Steps to Reproduce:
1. Set LogLevel to info or higher on the print server.
2. Print the PDF from another machine. 
3. Examine /var/log/cups/error_log for errors.
  
Actual results:

I [11/Apr/2006:10:34:16 -0400] Adding start banner page "none" to job 110.
I [11/Apr/2006:10:34:16 -0400] Job 110 queued on 'bw2x2' by 'shuff'.
I [11/Apr/2006:10:34:16 -0400] Started filter /usr/lib/cups/filter/pdftops (PID 25461) for job 110.
I [11/Apr/2006:10:34:16 -0400] Started filter /usr/lib/cups/filter/pstops (PID 25462) for job 110.
I [11/Apr/2006:10:34:16 -0400] Started filter /usr/lib/cups/filter/foomatic-rip (PID 25463) for job 
110.
I [11/Apr/2006:10:34:16 -0400] Started backend /usr/lib/cups/backend/smb (PID 25464) for job 110.
E [11/Apr/2006:10:34:16 -0400] [Job 110] Unknown character collection 'Adobe-Japan1'
E [11/Apr/2006:10:34:16 -0400] PID 25461 stopped with status 0!                                               

(the printer produces no output, though it will produce a cover page if one is requested)

Expected results:

I [11/Apr/2006:10:31:03 -0400] Adding start banner page "none" to job 108.
I [11/Apr/2006:10:31:03 -0400] Job 108 queued on 'bw2x2' by 'shuff'.
I [11/Apr/2006:10:31:03 -0400] Started filter /usr/lib/cups/filter/pdftops (PID 25153) for job 108.
I [11/Apr/2006:10:31:03 -0400] Started filter /usr/lib/cups/filter/pstops (PID 25154) for job 108.
I [11/Apr/2006:10:31:03 -0400] Started filter /usr/lib/cups/filter/foomatic-rip (PID 25155) for job 
108.
I [11/Apr/2006:10:31:03 -0400] Started backend /usr/lib/cups/backend/smb (PID 25156) for job 108.             

(the printer prints the document)

Additional info:
Comment 1 Steve Huff 2006-04-11 10:38:31 EDT
Created attachment 127618 [details]
PDF requiring Adobe-Japan1 character collection
Comment 2 Tim Waugh 2006-04-11 12:28:14 EDT
Ah, good catch.  Yes, we should ship a /etc/cups/pdftops.conf file in the cups
RPM package.
Comment 3 Tim Waugh 2006-05-02 08:12:04 EDT
Also need to patch the pdftops filter for 'includeifexists', as in Fedora Core
devel.
Comment 4 RHEL Product and Program Management 2006-08-18 12:17:47 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 Red Hat Bugzilla 2007-05-01 18:50:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0225.html

Note You need to log in before you can comment on or make changes to this bug.